curl
curl -sS -X POST "https://gateway.orbit/api/v1/database-connections" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '"example"'{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Database connections
Create a Database connection
Registers an existing database, or with server creates a MySQL database and user on that Database server. server excludes every connection field; instance_id makes that Instance the owner, creates the test database, and attaches the connection under prefix DB. The response never contains a password.
POST
/
api
/
v1
/
database-connections
curl
curl -sS -X POST "https://gateway.orbit/api/v1/database-connections" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '"example"'{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Body
application/json
- Option 1
- Option 2
Maximum string length:
63Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$(?![\s\S])Available options:
mysql, pgsql, sqlite, redis Required range:
x >= 1Maximum string length:
255Pattern:
^[A-Za-z0-9](?:[A-Za-z0-9.-]{0,253}[A-Za-z0-9])?$(?![\s\S])Required range:
1 <= x <= 65535Maximum string length:
64Pattern:
^(?:[A-Za-z_][A-Za-z0-9_$]{0,63}|[0-9]{1,3})$(?![\s\S])Maximum string length:
1024Pattern:
^\/[^\x00]{1,1023}$(?![\s\S])Maximum string length:
128Pattern:
^[\x21-\x7E]{1,128}$(?![\s\S])Maximum string length:
1024